<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::Vector2D&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_vector2_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classflair_1_1core_1_1_vector2_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::Vector2D&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 2D vector.  
 <a href="classflair_1_1core_1_1_vector2_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_vector2_d_8h_source.html">Vector2D.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4b3ae561882bcb95db97ee23e07eae9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e">Vector2D</a> (T <a class="el" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">x</a>=0, T <a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">y</a>=0)</td></tr>
<tr class="memdesc:a4b3ae561882bcb95db97ee23e07eae9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4b3ae561882bcb95db97ee23e07eae9e">More...</a><br /></td></tr>
<tr class="separator:a4b3ae561882bcb95db97ee23e07eae9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b26acd44a32983e8e901fa761c368df"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df">~Vector2D</a> ()</td></tr>
<tr class="memdesc:a7b26acd44a32983e8e901fa761c368df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a7b26acd44a32983e8e901fa761c368df">More...</a><br /></td></tr>
<tr class="separator:a7b26acd44a32983e8e901fa761c368df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21daa593189491de24363448b1ad73af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af">Rotate</a> (float value)</td></tr>
<tr class="memdesc:a21daa593189491de24363448b1ad73af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation.  <a href="#a21daa593189491de24363448b1ad73af">More...</a><br /></td></tr>
<tr class="separator:a21daa593189491de24363448b1ad73af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a572147dfa3c10871a9e01904a1f9a751"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751">RotateDeg</a> (float value)</td></tr>
<tr class="memdesc:a572147dfa3c10871a9e01904a1f9a751"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation.  <a href="#a572147dfa3c10871a9e01904a1f9a751">More...</a><br /></td></tr>
<tr class="separator:a572147dfa3c10871a9e01904a1f9a751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81926d1dc61bb56706b99f5bfb4d1ca3"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3">GetNorm</a> (void) const </td></tr>
<tr class="memdesc:a81926d1dc61bb56706b99f5bfb4d1ca3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#a81926d1dc61bb56706b99f5bfb4d1ca3">More...</a><br /></td></tr>
<tr class="separator:a81926d1dc61bb56706b99f5bfb4d1ca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee928de991ca4872f2e877e87393f03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03">Normalize</a> (void)</td></tr>
<tr class="memdesc:a9ee928de991ca4872f2e877e87393f03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#a9ee928de991ca4872f2e877e87393f03">More...</a><br /></td></tr>
<tr class="separator:a9ee928de991ca4872f2e877e87393f03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7c4e044ae4a49d8bfc344023540ceeb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">Saturate</a> (<a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; min, <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; max)</td></tr>
<tr class="memdesc:ab7c4e044ae4a49d8bfc344023540ceeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#ab7c4e044ae4a49d8bfc344023540ceeb">More...</a><br /></td></tr>
<tr class="separator:ab7c4e044ae4a49d8bfc344023540ceeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae273561ec3dda8b2976aa8c26a3c3d6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#ae273561ec3dda8b2976aa8c26a3c3d6f">Saturate</a> (float min, float max)</td></tr>
<tr class="memdesc:ae273561ec3dda8b2976aa8c26a3c3d6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#ae273561ec3dda8b2976aa8c26a3c3d6f">More...</a><br /></td></tr>
<tr class="separator:ae273561ec3dda8b2976aa8c26a3c3d6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7551a14a121ef7637f18b5dabc0d6f19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19">Saturate</a> (const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;value)</td></tr>
<tr class="memdesc:a7551a14a121ef7637f18b5dabc0d6f19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a7551a14a121ef7637f18b5dabc0d6f19">More...</a><br /></td></tr>
<tr class="separator:a7551a14a121ef7637f18b5dabc0d6f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5685f2986c3f1b6f0c7caa596120ee1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#ab5685f2986c3f1b6f0c7caa596120ee1">Saturate</a> (float value)</td></tr>
<tr class="memdesc:ab5685f2986c3f1b6f0c7caa596120ee1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#ab5685f2986c3f1b6f0c7caa596120ee1">More...</a><br /></td></tr>
<tr class="separator:ab5685f2986c3f1b6f0c7caa596120ee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a806eaaf09726b63320b68911bef05911"><td class="memTemplParams" colspan="2"><a class="anchor" id="a806eaaf09726b63320b68911bef05911"></a>
template&lt;typename S &gt; </td></tr>
<tr class="memitem:a806eaaf09726b63320b68911bef05911"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; S &gt; &amp;vector)</td></tr>
<tr class="separator:a806eaaf09726b63320b68911bef05911"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7963973a8e2c965c4fef7ef65042f43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7963973a8e2c965c4fef7ef65042f43"></a>
<a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;vector)</td></tr>
<tr class="separator:ac7963973a8e2c965c4fef7ef65042f43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8217462c874479f7bad85b653a1b6e22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8217462c874479f7bad85b653a1b6e22"></a>
<a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;vector)</td></tr>
<tr class="separator:a8217462c874479f7bad85b653a1b6e22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:adc92c6671b0a23292eff87f782791d7b"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">x</a></td></tr>
<tr class="memdesc:adc92c6671b0a23292eff87f782791d7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#adc92c6671b0a23292eff87f782791d7b">More...</a><br /></td></tr>
<tr class="separator:adc92c6671b0a23292eff87f782791d7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f971d69af939edaf3f3b99339f9e389"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">y</a></td></tr>
<tr class="memdesc:a7f971d69af939edaf3f3b99339f9e389"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#a7f971d69af939edaf3f3b99339f9e389">More...</a><br /></td></tr>
<tr class="separator:a7f971d69af939edaf3f3b99339f9e389"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
class flair::core::Vector2D&lt; T &gt;</h3>

<p>Class defining a 2D vector. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4b3ae561882bcb95db97ee23e07eae9e"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::<a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classflair_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7b26acd44a32983e8e901fa761c368df"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::~<a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a21daa593189491de24363448b1ad73af"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::Rotate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rotation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a572147dfa3c10871a9e01904a1f9a751"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::RotateDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rotation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a81926d1dc61bb56706b99f5bfb4d1ca3"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::GetNorm </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Norm. </p>
<dl class="section return"><dt>Returns</dt><dd>value </dd></dl>

</div>
</div>
<a class="anchor" id="a9ee928de991ca4872f2e877e87393f03"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::Normalize </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Normalize. </p>

</div>
</div>
<a class="anchor" id="ab7c4e044ae4a49d8bfc344023540ceeb"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::Saturate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt;&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt;&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between min and max</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">min</td><td>minimum <a class="el" href="classflair_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> value </td></tr>
    <tr><td class="paramname">max</td><td>maximum <a class="el" href="classflair_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae273561ec3dda8b2976aa8c26a3c3d6f"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::Saturate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between min and max</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">min</td><td>minimum Vector2D(min,min) value </td></tr>
    <tr><td class="paramname">max</td><td>maximum Vector2D(max,max) value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7551a14a121ef7637f18b5dabc0d6f19"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::Saturate </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between -abs(value) and abs(value)</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>saturation <a class="el" href="classflair_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab5685f2986c3f1b6f0c7caa596120ee1"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::Saturate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between -abs(Vector2D(value,value)) and abs(Vector2D(value,value))</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>saturation Vector2D(value,value) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="adc92c6671b0a23292eff87f782791d7b"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x </p>

</div>
</div>
<a class="anchor" id="a7f971d69af939edaf3f3b99339f9e389"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a>&lt; T &gt;::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
